clang-tools 10.0.0

Classes | Namespaces | Functions
GlobalCompilationDatabase.h File Reference
`#include "CompileCommands.h"`
`#include "Function.h"`
`#include "Path.h"`
`#include "clang/Tooling/ArgumentsAdjusters.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringMap.h"`
`#include <memory>`
`#include <mutex>`
`#include <vector>`
Include dependency graph for GlobalCompilationDatabase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::ProjectInfo
class | clang::clangd::GlobalCompilationDatabase
| Provides compilation arguments used for parsing C and C++ files. More...
class | clang::clangd::DirectoryBasedGlobalCompilationDatabase
| Gets compile args from tooling::CompilationDatabases built for parent directories. More...
class | clang::clangd::OverlayCDB
| Wraps another compilation database, and supports overriding the commands using an in-memory mapping. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::unique_ptr< GlobalCompilationDatabase > | clang::clangd::getQueryDriverDatabase (llvm::ArrayRef< std::string > QueryDriverGlobs, std::unique_ptr< GlobalCompilationDatabase > Base)
| Extracts system include search path from drivers matching QueryDriverGlobs and adds them to the compile flags. More...